Subject: RE: Cygwin Python 2.1, Numeric package, exporting init<module> methods
From: "Norman Vine" <[email-masked]>
To: "'Mark Hadfield'" <[email-masked]>, "'Jason Tishler'" <[email-masked]>
Cc: "'Cygwin Mailing List'" <[email-masked]>
Date: Mon, 30 Apr 2001 18:05:44 -0400

Mark Hadfield writes:
>
>From: "Jason Tishler" <[email-masked]>
>> IMO, submitting a patch to the Numpy maintainers using the DL_EXPORT
>> macro approach is the way to go.
>
>The alternative is changing the compilation & linking process to generate &
>use .def files. Norman Vine reported to me yesterday that he could build
>Numpy without the DL_EXPORT macros. When we compared notes it
>turned out
>that he was using a modified version of distutils.
>
>> Why don't you try the Numpy maintainers and see what they have to say?
>> Since they already support a Win32 port, I can't imagine much resistance
>> on their part.
>
>I'd be glad to do that but first I would like a ruling from the
>Cygwin-Python gods about which of these approaches is the
>one-true-Pythonic-way.

Mark

I think that inorder to find the one-true-Pythonic-way we need a
ruling from the 'true' Python gods as to what 'they' would prefer.  :-)

Could you could post a synopsis of the problem and the alternative
'fixes' to comp.lang.python and we can continue the discussion there.

FYI
I think that Jason and I are in agreement as to what would be 'best',
but that is not necessarily what will get or has been put into the python
distribution.  All we can try to do is convince them of what is 'best' for
Cygwin and the more Cygwin'ers they see involved the more attention
they will give us !

Cheers

Norman Vine

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple